.product-list{
    &--group{
        position: relative;
        margin-right: -5px;
        margin-left: -5px;
        display: flex;
        flex-wrap: wrap;

        &---item{
            padding-left: 5px;
            padding-right: 5px;
            width: calc(100% / 3);
        }

        @include responsive(phone-down){
            margin-right: -2px;
            margin-left: -2px;

            &---item{
                padding-left: 2px;
                padding-right: 2px;
                width: calc(100% / 2);
            }
        }
    }

    .product-cart{
        border: 1px solid #e5e5e5;
        border-radius: 3px;
        background-color: #fff;
        padding: 15px;
        margin-bottom: 10px;
        position: relative;
    }

    .product{
        &-thumb{
            @include thumnail_Img(80%);
            overflow: hidden;
            position: relative;
        }

        &-option{
            margin: 20px 0;

            ul{
                list-style: none;
                margin: 0;
                padding: 0;
                display: flex;
                justify-content: center;

                li{
                    display: inline-block;
                    border-radius: 100%;
                    border: 1px solid transparent;
                    width: 30px;
                    height: 30px;
                    padding: 1px 2px;
                    text-align: center;
                    position: relative;
                    z-index: 9;
                    overflow: hidden;
                    margin: 0 3px;
                    transform: scale(0.9);
                    transition: all .3s;

                    a{
                        display: inline-block;

                        img {
                            display: inline-block;
                            border-radius: 100%;
                        }
                    }

                    &.active, &:hover{
                        border: 1px solid #e9e9e9;
                        transform: scale(1);
                        transition: all .3s;
                    }
                }
            }
        }

        &-name{
            margin-bottom: 15px;

            h3{
                margin: 0;
                font-size: 16px;
                height: 42px;
                line-height: 1.3;

                a{
                    font-weight: 600;
                    color: #000;
                    display: -webkit-box;
                    -webkit-line-clamp: 2;
                    -webkit-box-orient: vertical;  
                    overflow: hidden;

                    &:hover{
                        color: var(--default);
                    }
                }
            }
        }

        &-price{
            display: flex;
            align-items: center;
            margin-bottom: 10px;

            .price-buys{
                font-weight: bold;
                font-size: 16px;

                sup{
                    font-weight: 400;
                }
            }

            .price-light{
                text-decoration: line-through;
                font-size: 15px;
                color: #aaaaaa;
                margin-right: 15px;
            }
        }

        &-rank{
            margin-bottom: 10px;
            display: flex;
            align-items: center;

            .star-group{
                position: relative;
                top: -2px;

                svg{
                    width: 15px;
                    color: #dedede;
                }

                .active{
                    svg{
                        color: #ff9e00;
                    }
                }
            }

            .star-count{
                margin-left: 15px;
                color: #777777;
            }
        }

        .box-hover{
            transform: translateY(100%);
            position: absolute;
            visibility: hidden;
            bottom: 0;
            left: 0;
            right: 0;
            margin: auto;
            transition: all .3s;

            ul{
                list-style: none;
                padding: 0;
                margin: 0;
                display: flex;
                align-items: center;
                justify-content: center;

                li{
                    a{
                        color: #000;
                        padding: 8px 10px;
                        background: #fff;
                        border: 1px solid #d7d7d7;
                        margin: 0 5px;
                        display: inline-flex;
                        align-items: center;
                        border-radius: 2px;
                        transition: all .3s;
                        font-size: 13px;

                        svg{
                            width: 20px;
                            margin-right: 5px;
                        }

                        &:hover{
                            background-color: var(--default);
                            color: #fff;
                            border-color: var(--default);
                            transition: all .3s;
                        }
                    }
                }
            }
        }

        &:hover{
            .box-hover{
                transform: translateY(0);
                position: absolute;
                visibility: visible;
                transition: all .3s;
            }
        }

        .sale-label {
            font-size: 10px;
            color: #333;
            background: #ffd740;
            text-transform: uppercase;
            padding: 3px 10px;
            font-weight: 600;
            text-align: center;
            display: block;
            position: absolute;
            top: 0px;

            &:after {
                border-color: #ffd740 transparent transparent;
                border-style: solid solid solid none;
                border-width: 9px 9px 9px 0;
                bottom: -15px;
                content: "";
                left: -33px;
                margin: 0 auto;
                position: absolute;
                right: -1px;
                text-align: center;
                width: 9px;
            }

            &.sale-new{
                background: red;
                color: #fff;

                &:after {
                    border-color: red transparent transparent;
                }
            }
        }
    }

    @include responsive(phone-down){
        .product-cart{
            margin-bottom: 10px;
        }
        .product{
            &-option{
                ul{
                    li{
                        width: 25px;
                        height: 25px;
    
                        &.active, &:hover{
                            border: 0 !important;
                        }
                    }
                }
            }
    
            &-name{
                margin-bottom: 5px;
    
                h3{
                    margin: 0;
                    font-size: 13px;
                    height: 35px;
                }
            }
    
            &-price{
                flex-direction: column;
                margin-bottom: 5px;
                justify-content: start;
                align-items: baseline;
    
                .price-buys{
                    font-weight: bold;
                    font-size: 13px;
    
                    sup{
                        font-weight: 400;
                    }
                }
    
                .price-light{
                    text-decoration: line-through;
                    font-size: 13px;
                    color: #aaaaaa;
                    margin-right: 15px;
                }
            }
    
            &-rank{
                justify-content: space-between;
                align-items: center;
                margin-bottom: 0;
    
                .star-group{
                    svg{
                        width: 10px;
                    }
                }
    
                .star-count{
                    font-size: 10px;
                    margin-left: 8px;
                }
            }
    
            .box-hover{
    
                ul{
                    flex-direction: column;
    
                    li{
                        a{
                            width: 100%;
                            display: flex;
                            margin-bottom: 5px; 
                            font-size: 12px;
                            padding: 8px 5px;

                            svg{
                                width: 15px;
                            }
                        }
                    }
                }
            }
        }
    }
}